Index: /branches/GeneralizedQAP/HeuristicLab 3.3 Services.sln
===================================================================
--- /branches/GeneralizedQAP/HeuristicLab 3.3 Services.sln	(revision 6732)
+++ /branches/GeneralizedQAP/HeuristicLab 3.3 Services.sln	(revision 6733)
@@ -18,9 +18,4 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.ProblemInstances-3.3", "HeuristicLab.Services.ProblemInstances\HeuristicLab.Services.ProblemInstances-3.3.csproj", "{D4E9242F-DAA4-4A15-8DE7-91CECFFFD898}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.ProblemInstances.QAPInitializer", "HeuristicLab.Services.ProblemInstances.QAPInitializer\HeuristicLab.Services.ProblemInstances.QAPInitializer.csproj", "{BA6B5487-6CCA-4484-B196-13B68A45CBB5}"
-	ProjectSection(ProjectDependencies) = postProject
-		{D4E9242F-DAA4-4A15-8DE7-91CECFFFD898} = {D4E9242F-DAA4-4A15-8DE7-91CECFFFD898}
-	EndProjectSection
 EndProject
 Global
@@ -99,16 +94,4 @@
 		{D4E9242F-DAA4-4A15-8DE7-91CECFFFD898}.Release|x64.ActiveCfg = Release|Any CPU
 		{D4E9242F-DAA4-4A15-8DE7-91CECFFFD898}.Release|x86.ActiveCfg = Release|Any CPU
-		{BA6B5487-6CCA-4484-B196-13B68A45CBB5}.Debug|Any CPU.ActiveCfg = Debug|x86
-		{BA6B5487-6CCA-4484-B196-13B68A45CBB5}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
-		{BA6B5487-6CCA-4484-B196-13B68A45CBB5}.Debug|Mixed Platforms.Build.0 = Debug|x86
-		{BA6B5487-6CCA-4484-B196-13B68A45CBB5}.Debug|x64.ActiveCfg = Debug|x86
-		{BA6B5487-6CCA-4484-B196-13B68A45CBB5}.Debug|x86.ActiveCfg = Debug|x86
-		{BA6B5487-6CCA-4484-B196-13B68A45CBB5}.Debug|x86.Build.0 = Debug|x86
-		{BA6B5487-6CCA-4484-B196-13B68A45CBB5}.Release|Any CPU.ActiveCfg = Release|x86
-		{BA6B5487-6CCA-4484-B196-13B68A45CBB5}.Release|Mixed Platforms.ActiveCfg = Release|x86
-		{BA6B5487-6CCA-4484-B196-13B68A45CBB5}.Release|Mixed Platforms.Build.0 = Release|x86
-		{BA6B5487-6CCA-4484-B196-13B68A45CBB5}.Release|x64.ActiveCfg = Release|x86
-		{BA6B5487-6CCA-4484-B196-13B68A45CBB5}.Release|x86.ActiveCfg = Release|x86
-		{BA6B5487-6CCA-4484-B196-13B68A45CBB5}.Release|x86.Build.0 = Release|x86
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/HeuristicLab.Problems.QuadraticAssignment.Views-3.3.csproj
===================================================================
--- /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/HeuristicLab.Problems.QuadraticAssignment.Views-3.3.csproj	(revision 6732)
+++ /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/HeuristicLab.Problems.QuadraticAssignment.Views-3.3.csproj	(revision 6733)
@@ -154,17 +154,4 @@
       <DependentUpon>Reference.svcmap</DependentUpon>
     </None>
-    <None Include="Service References\QAPServiceReference\QAP.wsdl" />
-    <None Include="Service References\QAPServiceReference\QAP.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\QAPServiceReference\QAP1.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\QAPServiceReference\QAP2.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\QAPServiceReference\QAP3.xsd">
-      <SubType>Designer</SubType>
-    </None>
   </ItemGroup>
   <ItemGroup>
@@ -232,7 +219,4 @@
   </ItemGroup>
   <ItemGroup>
-    <None Include="Service References\QAPServiceReference\QAP.disco" />
-  </ItemGroup>
-  <ItemGroup>
     <None Include="Service References\QAPServiceReference\configuration91.svcinfo" />
   </ItemGroup>
@@ -241,8 +225,24 @@
   </ItemGroup>
   <ItemGroup>
+    <None Include="Service References\QAPServiceReference\QAP1.wsdl" />
+    <None Include="Service References\QAPServiceReference\QAP4.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\QAPServiceReference\QAP41.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\QAPServiceReference\QAP42.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\QAPServiceReference\QAP43.xsd">
+      <SubType>Designer</SubType>
+    </None>
     <None Include="Service References\QAPServiceReference\Reference.svcmap">
       <Generator>WCF Proxy Generator</Generator>
       <LastGenOutput>Reference.cs</LastGenOutput>
     </None>
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Service References\QAPServiceReference\QAP1.disco" />
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/QuadraticAssignmentProblemView.cs
===================================================================
--- /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/QuadraticAssignmentProblemView.cs	(revision 6732)
+++ /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/QuadraticAssignmentProblemView.cs	(revision 6733)
@@ -23,4 +23,5 @@
 using System.Drawing;
 using System.Linq;
+using System.Threading.Tasks;
 using System.Windows.Forms;
 using HeuristicLab.Common.Resources;
@@ -80,9 +81,5 @@
     protected override void OnContentChanged() {
       base.OnContentChanged();
-      instancesComboBox.Items.Clear();
       if (Content != null) {
-        foreach (string instance in Content.EmbeddedInstances) {
-          instancesComboBox.Items.Add(instance);
-        }
         qapView.Distances = Content.Distances;
         qapView.Weights = Content.Weights;
@@ -97,50 +94,59 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
+      reloadInstancesButton.Enabled = !ReadOnly && !Locked && Content != null;
       instancesComboBox.Enabled = !ReadOnly && !Locked && Content != null;
-      loadInstanceButton.Enabled = !ReadOnly && !Locked && Content != null && instancesComboBox.SelectedItem != null;
+      loadInstanceButton.Enabled = !ReadOnly && !Locked && Content != null && !String.IsNullOrEmpty((string)instancesComboBox.SelectedItem);
       importInstanceButton.Enabled = !ReadOnly && !Locked && Content != null;
     }
 
     private void instancesComboBox_SelectedValueChanged(object sender, System.EventArgs e) {
-      loadInstanceButton.Enabled = instancesComboBox.SelectedItem != null;
+      SetEnabledStateOfControls();
     }
 
     private void loadInstanceButton_Click(object sender, System.EventArgs e) {
-      string instance = instancesComboBox.SelectedItem as string;
-      try {
-        using (QAPServiceReference.QAPClient client = new QAPServiceReference.QAPClient()) {
-          var data = client.GetProblemInstanceData(instance);
-          DoubleMatrix weights = new DoubleMatrix(data.Weights.Length, data.Weights.Length);
-          DoubleMatrix distances = new DoubleMatrix(data.Weights.Length, data.Weights.Length);
-          try {
-            for (int i = 0; i < data.Weights.Length; i++)
-              for (int j = 0; j < data.Weights.Length; j++) {
-                weights[i, j] = data.Weights[i][j];
-                distances[i, j] = data.Distances[i][j];
+      ReadOnly = true;
+      string instanceStr = instancesComboBox.SelectedItem as string;
+      Task t = new Task((object name) => {
+        string instance = (string)name;
+        if (String.IsNullOrEmpty(instance)) return;
+        try {
+          using (QAPServiceReference.QAPClient client = new QAPServiceReference.QAPClient()) {
+            var data = client.GetProblemInstanceData(instance);
+            DoubleMatrix weights = new DoubleMatrix(data.Weights.Length, data.Weights.Length);
+            DoubleMatrix distances = new DoubleMatrix(data.Weights.Length, data.Weights.Length);
+            try {
+              for (int i = 0; i < data.Weights.Length; i++)
+                for (int j = 0; j < data.Weights.Length; j++) {
+                  weights[i, j] = data.Weights[i][j];
+                  distances[i, j] = data.Distances[i][j];
+                }
+            } catch (IndexOutOfRangeException) {
+              MessageBox.Show("The problem data is malformed, the problem could not be loaded.", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
+            }
+            Content.Name = data.Name;
+            Content.Description = data.Description;
+            Content.Maximization.Value = data.Maximization;
+            Content.Weights = weights;
+            Content.Distances = distances;
+
+            Content.BestKnownQualityParameter.Value = null;
+            Content.BestKnownSolution = null;
+            Content.BestKnownSolutions = new ItemSet<Permutation>();
+            var solutions = client.GetBestSolutionsData(instance);
+            if (solutions.Any()) {
+              Content.BestKnownQualityParameter.Value = new DoubleValue(solutions.First().Quality);
+              Content.BestKnownSolution = new Permutation(PermutationTypes.Absolute, solutions.First().Assignment);
+              foreach (var solution in solutions) {
+                Content.BestKnownSolutions.Add(new Permutation(PermutationTypes.Absolute, solution.Assignment));
               }
-          } catch (IndexOutOfRangeException) {
-            MessageBox.Show("The problem data is malformed, the problem could not be loaded.", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
-          }
-          Content.Name = data.Name;
-          Content.Description = data.Description;
-          Content.Maximization.Value = data.Maximization;
-          Content.Weights = weights;
-          Content.Distances = distances;
-
-          Content.BestKnownQualityParameter.Value = null;
-          Content.BestKnownSolution = null;
-          Content.BestKnownSolutions = new ItemSet<Permutation>();
-          var solutions = client.GetBestSolutionsData(instance);
-          if (solutions.Any()) {
-            Content.BestKnownQualityParameter.Value = new DoubleValue(solutions.First().Quality);
-            Content.BestKnownSolution = new Permutation(PermutationTypes.Absolute, solutions.First().Assignment);
-            foreach (var solution in solutions) {
-              Content.BestKnownSolutions.Add(new Permutation(PermutationTypes.Absolute, solution.Assignment));
             }
           }
+        } catch (Exception ex) {
+          PluginInfrastructure.ErrorHandling.ShowErrorDialog(ex);
+        } finally {
+          ReadOnly = false;
         }
-      } catch (Exception ex) {
-        PluginInfrastructure.ErrorHandling.ShowErrorDialog(ex);
-      }
+      }, instanceStr);
+      t.Start();
     }
 
@@ -172,13 +178,21 @@
 
     private void reloadInstancesButton_Click(object sender, EventArgs e) {
-      try {
-        using (QAPServiceReference.QAPClient client = new QAPServiceReference.QAPClient()) {
-          instancesComboBox.Items.Clear();
-          foreach (string name in client.GetProblemInstances())
-            instancesComboBox.Items.Add(name);
+      ReadOnly = true;
+      System.Threading.Tasks.Task t = new System.Threading.Tasks.Task(() => {
+        try {
+          using (QAPServiceReference.QAPClient client = new QAPServiceReference.QAPClient()) {
+            instancesComboBox.Items.Clear();
+            foreach (string name in client.GetProblemInstances())
+              instancesComboBox.Items.Add(name);
+            if (instancesComboBox.Items.Count > 0)
+              instancesComboBox.SelectedIndex = 0;
+          }
+        } catch (Exception ex) {
+          PluginInfrastructure.ErrorHandling.ShowErrorDialog(ex);
+        } finally {
+          ReadOnly = false;
         }
-      } catch (Exception ex) {
-        PluginInfrastructure.ErrorHandling.ShowErrorDialog(ex);
-      }
+      });
+      t.Start();
     }
   }
Index: /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/HeuristicLab.Problems.QuadraticAssignment.Views.QAPServiceReference.QAPInstanceDto.datasource
===================================================================
--- /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/HeuristicLab.Problems.QuadraticAssignment.Views.QAPServiceReference.QAPInstanceDto.datasource	(revision 6732)
+++ /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/HeuristicLab.Problems.QuadraticAssignment.Views.QAPServiceReference.QAPInstanceDto.datasource	(revision 6733)
@@ -7,4 +7,4 @@
 -->
 <GenericObjectDataSource DisplayName="QAPInstanceDto" Version="1.0" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
-   <TypeInfo>HeuristicLab.Problems.QuadraticAssignment.Views.QAPServiceReference.QAPInstanceDto</TypeInfo>
+   <TypeInfo>HeuristicLab.Problems.QuadraticAssignment.Views.QAPServiceReference.QAPInstanceDto, Service References.QAPServiceReference.Reference.cs, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</TypeInfo>
 </GenericObjectDataSource>
Index: /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/HeuristicLab.Problems.QuadraticAssignment.Views.QAPServiceReference.QAPSolutionDto.datasource
===================================================================
--- /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/HeuristicLab.Problems.QuadraticAssignment.Views.QAPServiceReference.QAPSolutionDto.datasource	(revision 6732)
+++ /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/HeuristicLab.Problems.QuadraticAssignment.Views.QAPServiceReference.QAPSolutionDto.datasource	(revision 6733)
@@ -7,4 +7,4 @@
 -->
 <GenericObjectDataSource DisplayName="QAPSolutionDto" Version="1.0" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
-   <TypeInfo>HeuristicLab.Problems.QuadraticAssignment.Views.QAPServiceReference.QAPSolutionDto</TypeInfo>
+   <TypeInfo>HeuristicLab.Problems.QuadraticAssignment.Views.QAPServiceReference.QAPSolutionDto, Service References.QAPServiceReference.Reference.cs, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null</TypeInfo>
 </GenericObjectDataSource>
Index: /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/QAP1.disco
===================================================================
--- /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/QAP1.disco	(revision 6733)
+++ /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/QAP1.disco	(revision 6733)
@@ -0,0 +1,4 @@
+<?xml version="1.0" encoding="utf-8"?>
+<discovery xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://schemas.xmlsoap.org/disco/">
+  <contractRef ref="http://services.heuristiclab.com/ProblemInstances-3.3/QAP/QAP.svc?wsdl" docRef="http://services.heuristiclab.com/ProblemInstances-3.3/QAP/QAP.svc" xmlns="http://schemas.xmlsoap.org/disco/scl/" />
+</discovery>
Index: /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/QAP1.wsdl
===================================================================
--- /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/QAP1.wsdl	(revision 6733)
+++ /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/QAP1.wsdl	(revision 6733)
@@ -0,0 +1,78 @@
+<?xml version="1.0" encoding="utf-8"?>
+<wsdl:definitions xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:tns="http://tempuri.org/" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsx="http://schemas.xmlsoap.org/ws/2004/09/mex" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="QAP" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
+  <wsdl:types>
+    <xsd:schema targetNamespace="http://tempuri.org/Imports">
+      <xsd:import schemaLocation="http://services.heuristiclab.com/ProblemInstances-3.3/QAP/QAP.svc?xsd=xsd0" namespace="http://tempuri.org/" />
+      <xsd:import schemaLocation="http://services.heuristiclab.com/ProblemInstances-3.3/QAP/QAP.svc?xsd=xsd1" namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
+      <xsd:import schemaLocation="http://services.heuristiclab.com/ProblemInstances-3.3/QAP/QAP.svc?xsd=xsd2" namespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays" />
+      <xsd:import schemaLocation="http://services.heuristiclab.com/ProblemInstances-3.3/QAP/QAP.svc?xsd=xsd3" namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.ProblemInstances" />
+    </xsd:schema>
+  </wsdl:types>
+  <wsdl:message name="IQAP_GetProblemInstances_InputMessage">
+    <wsdl:part name="parameters" element="tns:GetProblemInstances" />
+  </wsdl:message>
+  <wsdl:message name="IQAP_GetProblemInstances_OutputMessage">
+    <wsdl:part name="parameters" element="tns:GetProblemInstancesResponse" />
+  </wsdl:message>
+  <wsdl:message name="IQAP_GetProblemInstanceData_InputMessage">
+    <wsdl:part name="parameters" element="tns:GetProblemInstanceData" />
+  </wsdl:message>
+  <wsdl:message name="IQAP_GetProblemInstanceData_OutputMessage">
+    <wsdl:part name="parameters" element="tns:GetProblemInstanceDataResponse" />
+  </wsdl:message>
+  <wsdl:message name="IQAP_GetBestSolutionsData_InputMessage">
+    <wsdl:part name="parameters" element="tns:GetBestSolutionsData" />
+  </wsdl:message>
+  <wsdl:message name="IQAP_GetBestSolutionsData_OutputMessage">
+    <wsdl:part name="parameters" element="tns:GetBestSolutionsDataResponse" />
+  </wsdl:message>
+  <wsdl:portType name="IQAP">
+    <wsdl:operation name="GetProblemInstances">
+      <wsdl:input wsaw:Action="http://tempuri.org/IQAP/GetProblemInstances" message="tns:IQAP_GetProblemInstances_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/IQAP/GetProblemInstancesResponse" message="tns:IQAP_GetProblemInstances_OutputMessage" />
+    </wsdl:operation>
+    <wsdl:operation name="GetProblemInstanceData">
+      <wsdl:input wsaw:Action="http://tempuri.org/IQAP/GetProblemInstanceData" message="tns:IQAP_GetProblemInstanceData_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/IQAP/GetProblemInstanceDataResponse" message="tns:IQAP_GetProblemInstanceData_OutputMessage" />
+    </wsdl:operation>
+    <wsdl:operation name="GetBestSolutionsData">
+      <wsdl:input wsaw:Action="http://tempuri.org/IQAP/GetBestSolutionsData" message="tns:IQAP_GetBestSolutionsData_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/IQAP/GetBestSolutionsDataResponse" message="tns:IQAP_GetBestSolutionsData_OutputMessage" />
+    </wsdl:operation>
+  </wsdl:portType>
+  <wsdl:binding name="BasicHttpBinding_IQAP" type="tns:IQAP">
+    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
+    <wsdl:operation name="GetProblemInstances">
+      <soap:operation soapAction="http://tempuri.org/IQAP/GetProblemInstances" style="document" />
+      <wsdl:input>
+        <soap:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+    <wsdl:operation name="GetProblemInstanceData">
+      <soap:operation soapAction="http://tempuri.org/IQAP/GetProblemInstanceData" style="document" />
+      <wsdl:input>
+        <soap:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+    <wsdl:operation name="GetBestSolutionsData">
+      <soap:operation soapAction="http://tempuri.org/IQAP/GetBestSolutionsData" style="document" />
+      <wsdl:input>
+        <soap:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+  </wsdl:binding>
+  <wsdl:service name="QAP">
+    <wsdl:port name="BasicHttpBinding_IQAP" binding="tns:BasicHttpBinding_IQAP">
+      <soap:address location="http://services.heuristiclab.com/ProblemInstances-3.3/QAP/QAP.svc" />
+    </wsdl:port>
+  </wsdl:service>
+</wsdl:definitions>
Index: /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/QAP4.xsd
===================================================================
--- /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/QAP4.xsd	(revision 6733)
+++ /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/QAP4.xsd	(revision 6733)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="utf-8"?>
+<xs:schema xmlns:tns="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.ProblemInstances" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.ProblemInstances" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+  <xs:import schemaLocation="http://services.heuristiclab.com/ProblemInstances-3.3/QAP/QAP.svc?xsd=xsd2" namespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays" />
+  <xs:complexType name="QAPInstanceDto">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="BestKnownQuality" type="xs:double" />
+      <xs:element minOccurs="0" name="Description" nillable="true" type="xs:string" />
+      <xs:element xmlns:q1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" minOccurs="0" name="Distances" nillable="true" type="q1:ArrayOfArrayOfdouble" />
+      <xs:element minOccurs="0" name="HasBestKnownQuality" type="xs:boolean" />
+      <xs:element minOccurs="0" name="Maximization" type="xs:boolean" />
+      <xs:element minOccurs="0" name="Name" nillable="true" type="xs:string" />
+      <xs:element xmlns:q2="http://schemas.microsoft.com/2003/10/Serialization/Arrays" minOccurs="0" name="Weights" nillable="true" type="q2:ArrayOfArrayOfdouble" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="QAPInstanceDto" nillable="true" type="tns:QAPInstanceDto" />
+  <xs:complexType name="ArrayOfQAPSolutionDto">
+    <xs:sequence>
+      <xs:element minOccurs="0" maxOccurs="unbounded" name="QAPSolutionDto" nillable="true" type="tns:QAPSolutionDto" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="ArrayOfQAPSolutionDto" nillable="true" type="tns:ArrayOfQAPSolutionDto" />
+  <xs:complexType name="QAPSolutionDto">
+    <xs:sequence>
+      <xs:element xmlns:q3="http://schemas.microsoft.com/2003/10/Serialization/Arrays" minOccurs="0" name="Assignment" nillable="true" type="q3:ArrayOfint" />
+      <xs:element minOccurs="0" name="AssignmentUndefined" type="xs:boolean" />
+      <xs:element minOccurs="0" name="Quality" type="xs:double" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="QAPSolutionDto" nillable="true" type="tns:QAPSolutionDto" />
+</xs:schema>
Index: /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/QAP41.xsd
===================================================================
--- /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/QAP41.xsd	(revision 6733)
+++ /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/QAP41.xsd	(revision 6733)
@@ -0,0 +1,45 @@
+<?xml version="1.0" encoding="utf-8"?>
+<xs:schema xmlns:tns="http://tempuri.org/" elementFormDefault="qualified" targetNamespace="http://tempuri.org/" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+  <xs:import schemaLocation="http://services.heuristiclab.com/ProblemInstances-3.3/QAP/QAP.svc?xsd=xsd2" namespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays" />
+  <xs:import schemaLocation="http://services.heuristiclab.com/ProblemInstances-3.3/QAP/QAP.svc?xsd=xsd3" namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.ProblemInstances" />
+  <xs:element name="GetProblemInstances">
+    <xs:complexType>
+      <xs:sequence />
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="GetProblemInstancesResponse">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:element xmlns:q1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" minOccurs="0" name="GetProblemInstancesResult" nillable="true" type="q1:ArrayOfstring" />
+      </xs:sequence>
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="GetProblemInstanceData">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:element minOccurs="0" name="instance" nillable="true" type="xs:string" />
+      </xs:sequence>
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="GetProblemInstanceDataResponse">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:element xmlns:q2="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.ProblemInstances" minOccurs="0" name="GetProblemInstanceDataResult" nillable="true" type="q2:QAPInstanceDto" />
+      </xs:sequence>
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="GetBestSolutionsData">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:element minOccurs="0" name="instance" nillable="true" type="xs:string" />
+      </xs:sequence>
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="GetBestSolutionsDataResponse">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:element xmlns:q3="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.ProblemInstances" minOccurs="0" name="GetBestSolutionsDataResult" nillable="true" type="q3:ArrayOfQAPSolutionDto" />
+      </xs:sequence>
+    </xs:complexType>
+  </xs:element>
+</xs:schema>
Index: /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/QAP42.xsd
===================================================================
--- /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/QAP42.xsd	(revision 6733)
+++ /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/QAP42.xsd	(revision 6733)
@@ -0,0 +1,27 @@
+<?xml version="1.0" encoding="utf-8"?>
+<xs:schema xmlns:tns="http://schemas.microsoft.com/2003/10/Serialization/Arrays" elementFormDefault="qualified" targetNamespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+  <xs:complexType name="ArrayOfstring">
+    <xs:sequence>
+      <xs:element minOccurs="0" maxOccurs="unbounded" name="string" nillable="true" type="xs:string" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="ArrayOfstring" nillable="true" type="tns:ArrayOfstring" />
+  <xs:complexType name="ArrayOfArrayOfdouble">
+    <xs:sequence>
+      <xs:element minOccurs="0" maxOccurs="unbounded" name="ArrayOfdouble" nillable="true" type="tns:ArrayOfdouble" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="ArrayOfArrayOfdouble" nillable="true" type="tns:ArrayOfArrayOfdouble" />
+  <xs:complexType name="ArrayOfdouble">
+    <xs:sequence>
+      <xs:element minOccurs="0" maxOccurs="unbounded" name="double" type="xs:double" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="ArrayOfdouble" nillable="true" type="tns:ArrayOfdouble" />
+  <xs:complexType name="ArrayOfint">
+    <xs:sequence>
+      <xs:element minOccurs="0" maxOccurs="unbounded" name="int" type="xs:int" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="ArrayOfint" nillable="true" type="tns:ArrayOfint" />
+</xs:schema>
Index: /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/QAP43.xsd
===================================================================
--- /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/QAP43.xsd	(revision 6733)
+++ /branches/GeneralizedQAP/HeuristicLab.Problems.QuadraticAssignment.Views/3.3/Service References/QAPServiceReference/QAP43.xsd	(revision 6733)
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="utf-8"?>
+<xs:schema xmlns:tns="http://schemas.microsoft.com/2003/10/Serialization/" attributeFormDefault="qualified" elementFormDefault="qualified" targetNamespace="http://schemas.microsoft.com/2003/10/Serialization/" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+  <xs:element name="anyType" nillable="true" type="xs:anyType" />
+  <xs:element name="anyURI" nillable="true" type="xs:anyURI" />
+  <xs:element name="base64Binary" nillable="true" type="xs:base64Binary" />
+  <xs:element name="boolean" nillable="true" type="xs:boolean" />
+  <xs:element name="byte" nillable="true" type="xs:byte" />
+  <xs:element name="dateTime" nillable="true" type="xs:dateTime" />
+  <xs:element name="decimal" nillable="true" type="xs:decimal" />
+  <xs:element name="double" nillable="true" type="xs:double" />
+  <xs:element name="float" nillable="true" type="xs:float" />
+  <xs:element name="int" nillable="true" type="xs:int" />
+  <xs:element name="long" nillable="true" type="xs:long" />
+  <xs:element name="QName" nillable="true" type="xs:QName" />
+  <xs:element name="short" nillable="true" type="xs:short" />
+  <xs:element name="string" nillable="true" type="xs:string" />
+  <xs:element name="unsignedByte" nillable="true" type="xs:unsignedByte" />
+  <xs:element name="unsignedInt" nillable="true" type="xs:unsignedInt" />
+  <xs:element name="unsignedLong" nillable="true" type="xs:unsignedLong" />
+  <xs:element name="unsignedShort" nillable="true" type="xs:unsignedShort" />
+  <xs:element name="char" nillable="true" type="tns:char" />
+  <xs:simpleType name="char">
+    <xs:restriction base="xs:int" />
+  </xs:simpleType>
+  <xs:element name="duration" nillable="true" type="tns:duration" />
+  <xs:simpleType name="duration">
+    <xs:restriction base="xs:duration">
+      <xs:pattern value="\-?P(\d*D)?(T(\d*H)?(\d*M)?(\d*(\.\d*)?S)?)?" />
+      <xs:minInclusive value="-P10675199DT2H48M5.4775808S" />
+      <xs:maxInclusive value="P10675199DT2H48M5.4775807S" />
+    </xs:restriction>
+  </xs:simpleType>
+  <xs:element name="guid" nillable="true" type="tns:guid" />
+  <xs:simpleType name="guid">
+    <xs:restriction base="xs:string">
+      <xs:pattern value="[\da-fA-F]{8}-[\da-fA-F]{4}-[\da-fA-F]{4}-[\da-fA-F]{4}-[\da-fA-F]{12}" />
+    </xs:restriction>
+  </xs:simpleType>
+  <xs:attribute name="FactoryType" type="xs:QName" />
+  <xs:attribute name="Id" type="xs:ID" />
+  <xs:attribute name="Ref" type="xs:IDREF" />
+</xs:schema>
